=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2011-09-08 17:55:39 +0000
+++ bzrlib/controldir.py	2011-09-21 19:45:15 +0000
@@ -75,7 +75,6 @@
         return self.user_transport.base
 
 
-
 class ControlDir(ControlComponent):
     """A control directory.
 

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2011-09-18 14:57:54 +0000
+++ bzrlib/repository.py	2011-09-21 19:45:01 +0000
@@ -361,8 +361,6 @@
         # the following are part of the public API for Repository:
         self.bzrdir = a_bzrdir
         self.control_files = control_files
-        self._transport = control_files._transport
-        self.base = self._transport.base
         # for tests
         self._write_group = None
         # Additional places to query for data.
@@ -406,7 +404,7 @@
         """
         if self.__class__ is not other.__class__:
             return False
-        return (self._transport.base == other._transport.base)
+        return (self.control_url == other.control_url)
 
     def is_in_write_group(self):
         """Return True if there is an open write group.

=== modified file 'bzrlib/smart/bzrdir.py'
--- bzrlib/smart/bzrdir.py	2011-05-19 09:32:38 +0000
+++ bzrlib/smart/bzrdir.py	2011-09-21 19:45:57 +0000
@@ -150,9 +150,7 @@
         control_format = self._bzrdir.cloning_metadir(
             require_stacking=require_stacking)
         control_name = control_format.network_name()
-        # XXX: There should be a method that tells us that the format does/does
-        # not have subformats.
-        if isinstance(control_format, BzrDirMetaFormat1):
+        if not control_format.fixed_components:
             branch_name = ('branch',
                 control_format.get_branch_format().network_name())
             repository_name = control_format.repository_format.network_name()

=== modified file 'bzrlib/tests/per_interbranch/test_pull.py'
--- bzrlib/tests/per_interbranch/test_pull.py	2011-09-02 00:53:06 +0000
+++ bzrlib/tests/per_interbranch/test_pull.py	2011-09-21 19:45:34 +0000
@@ -79,7 +79,7 @@
         other = self.sprout_to(master_tree.branch.bzrdir, 'other').open_branch()
         # move the branch out of the way on disk to cause a connection
         # error.
-        os.rename('master', 'master_gone')
+        master_tree.branch.bzrdir.destroy_branch()
         # try to pull, which should raise a BoundBranchConnectionFailure.
         self.assertRaises(errors.BoundBranchConnectionFailure,
                 checkout.branch.pull, other)

=== modified file 'bzrlib/vf_repository.py'
--- bzrlib/vf_repository.py	2011-09-16 10:08:09 +0000
+++ bzrlib/vf_repository.py	2011-09-21 19:45:01 +0000
@@ -1207,6 +1207,8 @@
         # this construct will accept instances of those things.
         super(VersionedFileRepository, self).__init__(_format, a_bzrdir,
             control_files)
+        self._transport = control_files._transport
+        self.base = self._transport.base
         # for tests
         self._reconcile_does_inventory_gc = True
         self._reconcile_fixes_text_parents = False

